Wednesday, January 21, 2015

Conkywx update info

If you are using msn weather and getting error NA etc

    elsif ( $fct_stn eq "msn" ) {
        foreach (@fctfile) {
            if ( m{\s*aria-label="The forecast for (.*?) is (.*?). High of (.*?)° and low of (.*?)°.">.*} ) {
                $cnt++ ;

in on line 1855 - remove the three characters highlighted above.

Wednesday, January 14, 2015

Conkywx THREE Released - Conkywx Conky Weather Script

For the latest version of conkywx - click here

Now Conkywx is THREE - Additions and changes:
  • Satellite images for storms and wind patterns
  • Multiple sites supported to get options for current and forecast weather
  • Type conkywx --help in a terminal window after installation to see improved help on a web browser.

  • As many users are using various conky variants - conky is no longer a dependency but however - conky is still required. Please ensure conky - in what ever form - is in fact installed. 
  • To get the best out of conkywx - please install lua support for your conky - this could mean installing conky-all - check your distro.
  • In some cases to have conky restart automatically you may need to give a sleep 30 - delay in your conky-start script
  • Depending on your Perl installation - you may require extra modules - Time::Piece and HTML::Entities are hot favourites ;-)
  • Many of you may find the text in templates out of spec - before you rip things apart - change the xftfont value in the rc file for the template.

    conkywx TWO

    conkywx TWO

    For this stand alone version run the file to install or remove conkywx fonts.

People - feedback from you would be great ;-)